%global npm_name json-stringify-safe

Summary:       Like JSON.stringify, but doesn't blow up on circular refs.
Name:          nodejs-%{npm_name}
Version:       5.0.1
Release:       1%{?dist}
License:       ISC
URL:           https://github.com/isaacs/json-stringify-safe
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Like JSON.stringify, but doesn't blow up on circular refs.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr Makefile package.json stringify.js test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc CHANGELOG.md LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 5.0.1-1
- Initial package
